"""add --verbose option to datafetcher call in test_download.sh workflow

Revision ID: 3d4dc6cc17a8
Revises: a3b9fdce74bd
Create Date: 2021-03-24 12:49:29.171713

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "3d4dc6cc17a8"
down_revision = "a3b9fdce74bd"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        "UPDATE workflow_templates "
        "SET content = E'#!/bin/sh\n\ndatafetcher --verbose --product-locator $1\ndeliver -r .\n' "
        "WHERE filename = 'test_download.sh'"
    )


def downgrade():
    op.execute(
        "UPDATE workflow_templates "
        "SET content = E'#!/bin/sh\n\ndatafetcher --product-locator $1\ndeliver -r .\n' "
        "WHERE filename = 'test_download.sh'"
    )
